Subject: Re: [bug#71914] [PATCH 00/10] gnu: Add python-nh3.

From: Nguyễn Gia Phong <[email-masked]>
Date: Wed, 03 Jul 2024 18:20:03 +0900

On 2024-07-03 at 12:07+03:00, Efraim Flashner wrote:
> On Wed, Jul 03, 2024 at 04:54:58PM +0900, Nguyễn Gia Phong wrote:
> > Nguyễn Gia Phong (10):
> >   gnu: rust-typed-arena-2: Update to 2.0.2.
> >   gnu: Add rust-markup5ever-0.12.
> >   gnu: Add rust-html5ever-0.27.
> >   gnu: Add rust-ammonia-4.
> >   gnu: Add rust-pyo3-build-config-0.21.
> >   gnu: Add rust-pyo3-ffi-0.21.
> >   gnu: Add rust-pyo3-macros-backend-0.21.
> >   gnu: Add rust-pyo3-macros-0.21.
> >   gnu: Add rust-pyo3-0.21.
> >   gnu: Add python-nh3.
>
> Since it wasn't only new packages I applied this to the rust-team
> branch, which should be merged soon-ish.
>
> There were a couple of missing bits, which I found while building all
> the packages affected:
> rust-pyo3-macros-0.21, rust-pyo3-macros-0.20:
> Needs python-minimal as a native-input
> rust-pyo3-macros-backend-0.21, rust-pyo3-macros-backend-0.20:
> Needs rust-pyo3-build-config-0.2X as a cargo-input and python-minimal as
> a native-input
> rust-pyo3-0.21:
> [cargo-inputs]: Added rust-chrono-tz-0.6, rust-portable-atomic-1.
> [cargo-development-inputs]: Added rust-chrono-tz-0.6, rust-futures-0.3.
> Removed rust-widestring-0.5.
>
> I used the following command to build all the packages:
> ./pre-inst-env guix build --no-grafts --fallback --max-jobs=3 rust-typed-arena@2 [email-masked] [email-masked] rust-ammonia@4 rust-pyo3{,-{build-config,ffi,macros-backend,macros}}@0.{20,21} python-nh3

Thank you very much!  So because Rust is statically compiled,
each package needs to be (built and) tested individually?